<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_contactbottomarealeftbx', 'luzuk_premium_contactus_section', 'Contact Form Setting ');

$wp_customize->add_setting(
	'luzuk_contactus_lefttitle1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Leave A Reply' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_lefttitle1',
	array(
		'settings'      => 'luzuk_contactus_lefttitle1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Contact Form Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_contctleftbxtitleColor1', 'luzuk_premium_contactus_section', 'Heading Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_contctleftbxtitlebrdColor', 'luzuk_premium_contactus_section', 'Heading Border Color', '#575757');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#FCFCFE');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#5B5A5A');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#373737');

addColorPalatOption($wp_customize, 'luzuk_contactus_formfieldsbgColor', 'luzuk_premium_contactus_section', 'Form Fields Border Color', '#32AADC');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#F47E00');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#2D2929');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');

//field for addeding the map code

$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));